#pragma once

class Keys
{
    // Konstruktor
    Keys();
public:
    enum Server;
    enum Key;

    // Gibt den Schlssel eines Servers zurck
    //  key: Ein Zeiger auf ein array von bytes. Wird als ausgabe verwendet. Enthlt nach aufruf den gewnschten Key
    //  length: Enthlt nach aufruf die Lnge des Schlssels
    //  sTyp: Der Servertyp, zu dem der Schlssel ermittelt werden soll
    //  kTyp: Die art des Schlssels der ermittelt werden soll
    static void getServerKey( char **key, int &length, Server sTyp, Key kTyp );

    // Servertypen
    enum Server
    {
        MAIN = 0,
        ANMELDUNG = 1,
        CHAT = 2,
        EDITOR = 3,
        HISTORIE = 4,
        INFORMATION = 5,
        KARTEN = 6,
        LOGIN = 7,
        NEWS = 8,
        REGISTER = 9,
        SHOP = 10,
        SPIEL = 11,
        PATCH = 12,
        ERHALTUNG = 13
    };

    // Keytypen
    enum Key
    {
        EMPFANGEN = 0,
        SENDEN = 0
    };
};