#ifndef Updater_H
#define Updater_H

#include <Update.h>
#include "PSKlient.h"

using namespace Framework;

class Updater : public UpdaterV
{
private:
	PSKlient *client;
	Text *fehler;
	int ref;

public:
	// Konstruktor
	Updater();
	// Destruktor
	~Updater();
	// nicht constant
	virtual int getNextDateiGruppe( Text *zDgPfad );
	virtual int update( UpdateParams *zParams );
	// constant
	virtual char *getError() const;
	virtual int getDownload() const;
	// Reference Counting
	virtual UpdaterV *getThis();
	virtual UpdaterV *release();
};

#endif